---
editUrl: false
next: false
prev: false
title: "Initializable"
---

> **Initializable**\<`T`\>: `T`

Type to annotate that something is initializable. 
If T has an init method, this will be called.

## Type parameters

• **T** *extends* [`Init`](/v3/api/interfaces/init/)

## Source

[src/types/ioc.ts:17](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L17)
